nicer names for personal sychronization scripts.
authorChris Koeritz <fred@gruntose.com>
Wed, 14 Dec 2016 18:52:00 +0000 (13:52 -0500)
committerChris Koeritz <fred@gruntose.com>
Wed, 14 Dec 2016 18:52:00 +0000 (13:52 -0500)
customize/fred/scripts/curies_musix_wand.sh [new file with mode: 0644]
customize/fred/scripts/synch_archives_from_surya.sh [deleted file]
customize/fred/scripts/synch_from_surya.sh [new file with mode: 0644]
customize/fred/scripts/update_musix_on_curie.sh [deleted file]

diff --git a/customize/fred/scripts/curies_musix_wand.sh b/customize/fred/scripts/curies_musix_wand.sh
new file mode 100644 (file)
index 0000000..e2e353c
--- /dev/null
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+# this script is meant to be run on curie with our super alpha prime source of music plugged in.
+
+#hmmm: add the goodness around these like the nice updater.
+
+if [[ ! ( $(hostname) =~ .*curie.* ) ]]; then
+  echo this script is only designed to run on curie with the
+  echo fred music prime external disc plugged in.
+  exit 1
+fi
+
+# synch our local copy on curie with the music drive, source of all goodness.
+function get_music_from_alpha_site()
+{
+  echo "getting musix and basement from fred music prime device"
+  rsync -av /media/fred/fredmusicprime/musix/* /z/musix/
+  rsync -av /media/fred/fredmusicprime/basement/* /z/basement/
+}
+
+# updates the music on a remote host to our current local copy on curie.
+function update_musix_pile()
+{
+  local host="$1"; shift
+  echo "$host: synching musix and basement"
+  rsync -avz /z/musix/* ${host}:/z/musix/ 
+  rsync -avz /z/basement/* ${host}:/z/basement/ 
+}
+
+# make sure the local machine, curie, is in good shape.
+get_music_from_alpha_site
+
+# run through the steps of updating all our machines.
+for i in surya banshee wildmutt euphrosyne; do
+  update_musix_pile $i
+done
+
+
diff --git a/customize/fred/scripts/synch_archives_from_surya.sh b/customize/fred/scripts/synch_archives_from_surya.sh
deleted file mode 100644 (file)
index ceac4bf..0000000
+++ /dev/null
@@ -1,16 +0,0 @@
-
-# curie is the source for musix and also has limited space for walruses,
-# so we check for that being our host here.
-hostname -f 2>&1 | grep -i curie &>/dev/null
-if [ $? -eq 0 ]; then
-  # this name has curie in it, so we're probably on there.
-  echo "Updating with special case for curie from surya"
-  rsync -avz surya:/z/walrus/media/pictures/* /z/walrus/media/pictures/
-  rsync -avz surya:/z/walrus/media/sounds/* /z/walrus/media/sounds/
-else
-  echo "Updating standard host from surya"
-  rsync -avz surya:/z/walrus/* /z/walrus/
-  rsync -avz surya:/z/musix/* /z/musix/
-fi
-
-
diff --git a/customize/fred/scripts/synch_from_surya.sh b/customize/fred/scripts/synch_from_surya.sh
new file mode 100644 (file)
index 0000000..ceac4bf
--- /dev/null
@@ -0,0 +1,16 @@
+
+# curie is the source for musix and also has limited space for walruses,
+# so we check for that being our host here.
+hostname -f 2>&1 | grep -i curie &>/dev/null
+if [ $? -eq 0 ]; then
+  # this name has curie in it, so we're probably on there.
+  echo "Updating with special case for curie from surya"
+  rsync -avz surya:/z/walrus/media/pictures/* /z/walrus/media/pictures/
+  rsync -avz surya:/z/walrus/media/sounds/* /z/walrus/media/sounds/
+else
+  echo "Updating standard host from surya"
+  rsync -avz surya:/z/walrus/* /z/walrus/
+  rsync -avz surya:/z/musix/* /z/musix/
+fi
+
+
diff --git a/customize/fred/scripts/update_musix_on_curie.sh b/customize/fred/scripts/update_musix_on_curie.sh
deleted file mode 100644 (file)
index e2e353c..0000000
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/bin/bash
-
-# this script is meant to be run on curie with our super alpha prime source of music plugged in.
-
-#hmmm: add the goodness around these like the nice updater.
-
-if [[ ! ( $(hostname) =~ .*curie.* ) ]]; then
-  echo this script is only designed to run on curie with the
-  echo fred music prime external disc plugged in.
-  exit 1
-fi
-
-# synch our local copy on curie with the music drive, source of all goodness.
-function get_music_from_alpha_site()
-{
-  echo "getting musix and basement from fred music prime device"
-  rsync -av /media/fred/fredmusicprime/musix/* /z/musix/
-  rsync -av /media/fred/fredmusicprime/basement/* /z/basement/
-}
-
-# updates the music on a remote host to our current local copy on curie.
-function update_musix_pile()
-{
-  local host="$1"; shift
-  echo "$host: synching musix and basement"
-  rsync -avz /z/musix/* ${host}:/z/musix/ 
-  rsync -avz /z/basement/* ${host}:/z/basement/ 
-}
-
-# make sure the local machine, curie, is in good shape.
-get_music_from_alpha_site
-
-# run through the steps of updating all our machines.
-for i in surya banshee wildmutt euphrosyne; do
-  update_musix_pile $i
-done
-
-